#3063 closed enhancement (fixed)

Make the EDF scheduler the default SMP scheduler

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: config Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The EDF SMP scheduler supports simple thread processor affinities (see #3059) with a small run-time overhead. The current default SMP scheduler lacks support for thread processor affinities at all. The EDF SMP scheduler offers a good feature set for most applications. So, use it by default. Run-time libraries like libgomp, MTAPI, work stealing schedulers, language interpreters (e.g. Erlang virtual machine), etc. use a one-to-one thread processor affinity for example.

Change History (5)

comment:1 Changed on Jul 10, 2017 at 7:40:06 AM by Sebastian Huber <sebastian.huber@…>

In 21389c06/rtems:

score: Make EDF the default SMP scheduler

The EDF SMP scheduler supports simple thread processor affinities
(see #3059) with a small run-time overhead. The current default SMP
scheduler lacks support for thread processor affinities at all. The EDF
SMP scheduler offers a good feature set for most applications. So, use
it by default. Run-time libraries like libgomp, MTAPI, work stealing
schedulers, language interpreters (e.g. Erlang virtual machine),
maintainence of per-processor data (e.g. Universal Memory Allocator
(UMA)), etc. use a one-to-one thread processor affinity for example.

Update #3063.

comment:2 Changed on Jul 10, 2017 at 7:49:06 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 9037998/rtems-docs:

c-user: Update scheduler/task chapter

Reflect EDF SMP scheduler changes.

Close #3059.
Close #3063.

comment:3 Changed on Jul 19, 2017 at 10:59:42 AM by Sebastian Huber <sebastian.huber@…>

In 7ad8239/rtems:

smptests/smpscheduler01: Use right scheduler

Update #3063.

comment:4 Changed on Oct 10, 2017 at 6:25:58 AM by Sebastian Huber

Component: SMPconfig

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.